import React from 'react';
import Module from '../../lib/Module';
import { View , StyleSheet , Text} from 'react-native';
import Types from '../../lib/Types';
import {Button} from 'react-native-elements'
import Styles from './styles';

console.log("WHATTTTTTTTTTTTTTTTT")
console.log(Styles)

export default class ButtonComp extends Module {
	constructor(props) {
		super(props);
	}
	press(){
		console.log("######You must over write this function@@@@@")
	}
	display() {
		let {
			title,
			textColor,
			width,
			height,
			borderRadius,
			FontSize,
			backgroundColor
		} = this.props;
		return 	(
				<Button 
				  onPress = {this.props.press || this.press}
				  title={title || "submit"}
				  accessibilityLabel="Learn more about this purple button"
				  titleStyle = {{color:textColor,fontSize:FontSize}}
				  buttonStyle = {{backgroundColor:backgroundColor,width:width,height:height,borderRadius:borderRadius}}
				/>
			)
	}	
	
}

ButtonComp.Inputs = {
	title: new Types.Text().require().default('Submit'),
	textColor: new Types.Text().require().color().default('black'),
	backgroundColor: new Types.Text().require().color().default('rgba(47, 150, 145, 1)'),
	borderRadius: new Types.Integer().require(),
	FontSize: new Types.Integer().require(),
	width: new Types.Integer().require(),
	height: new Types.Integer().require()
}


ButtonComp.Styles = Styles;
